<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Quản lý đơn hàng Pizza</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">

  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">

  <!-- Toastr -->
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css">

  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">


</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="#" class="nav-link">Quản lý đơn hàng Pizza</a>
        </li>
      </ul>

      <!-- Right navbar links -->
      <ul class="navbar-nav ml-auto">

        <li class="nav-item">
          <a class="nav-link" data-widget="fullscreen" href="#" role="button">
            <i class="fas fa-expand-arrows-alt"></i>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" data-widget="control-sidebar" data-controlsidebar-slide="true" href="#" role="button">
            <i class="fas fa-th-large"></i>
          </a>
        </li>

      </ul>
    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <!-- Brand Logo -->
      <a href="#" class="brand-link">
        <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
          style="opacity: .8">
        <span class="brand-text font-weight-light">DEVCAMP120</span>
      </a>

      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="image">
            <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
          </div>
          <div class="info">
            <a href="#" class="d-block">BaoTG</a>
          </div>
        </div>

        <!-- Sidebar Menu -->
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
            <li class="nav-item menu-open">
              <a href="#" class="nav-link active">
                <i class="nav-icon fas fa-tachometer-alt"></i>
                <p>
                  Dashboard
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="./index.html" class="nav-link active">
                    <i class="fas fa-tasks"></i>
                    <p>Pizza order Dashboard</p>
                  </a>
                </li>
              </ul>
            </li>
          </ul>
        </nav>
        <!-- /.sidebar-menu -->
      </div>
      <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1 class="m-0">Quản lý đơn hàng Pizza</h1>
            </div><!-- /.col -->
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">Quản lý đơn hàng</li>
              </ol>
            </div><!-- /.col -->
          </div><!-- /.row -->
        </div><!-- /.container-fluid -->
      </div>

      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">

          <!-- Div Filter -->
          <div class="col-sm-12 row form-group text-center">
            <div class="col-sm-2 align-self-center">
              <label><b>Trạng thái order:</b></label>
            </div>
            <div class="col-sm-2">
              <select class="form-control" name="" id="select-status">
                <option value="none">---Chọn tất cả---</option>
                <option value="open">Open</option>
                <option value="confirmed">Đã xác nhận</option>
                <option value="cancel">Đã hủy</option>
              </select>
            </div>
            <div class="col-sm-2 align-self-center">
              <label><b>Loại pizza:</b></label>
            </div>
            <div class="col-sm-2">
              <select class="form-control" name="" id="select-pizza-type">
                <option value="none">---Chọn tất cả---</option>
                <option value="Hawaii">Hawaii</option>
                <option value="Bacon">Thịt hun khói</option>
                <option value="Seafood">Hải sản</option>
              </select>
            </div>
            <div class="col-sm-2">
              <button id="btn-filter" class="btn btn-success w-100">Lọc</button>
            </div>
            <div class="col-sm-2">
              <button id="add-btn" class="btn btn-success w-100">
                <i class="fas fa-folder-plus mr-1"></i> Thêm
              </button>
            </div>  
          </div>

          <!-- Modal Order Detail (add + edit) -->
          <div id="modal-detail" class="modal fade" tabindex="-1">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="h5-modal-title">Order Detail</h5>
                  <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                  <form>
                    <div class="mt-2 pb-2 container bg-light rounded">

                      <div class="form-group">
                        <label for="">Order ID (mã đơn hàng)</label>
                        <div>
                          <input id="input-orderid" class="form-control" type="text">
                        </div>
                      </div>

                      <div>
                        <div class="form-group">
                          <label for="">Cỡ combo <span class="text-danger">(*)</span></label>
                          <div>
                            <select class="form-control" name="" id="select-combo">
                              <option value="">---Chọn cỡ combo---</option>
                              <option value="S">S</option>
                              <option value="M">M</option>
                              <option value="L">L</option>
                            </select>
                          </div>
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Đường kính pizza</label>
                        <div>
                          <input id="input-duongkinh" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Sườn nướng (miếng)</label>
                        <div>
                          <input id="input-suon" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Số lượng nước uống</label>
                        <div>
                          <input id="input-soluongnuoc" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Salad (g)</label>
                        <div>
                          <input id="input-salad" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Thành tiền</label>
                        <div>
                          <input id="input-payment" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Loại pizza <span class="text-danger">(*)</span></label>
                        <select class="form-control" id="select-pizza">
                          <option value="">---Chọn loại Pizza---</option>
                          <option value="Hawaii">Hawaii</option>
                          <option value="Bacon">Thịt hun khói</option>
                          <option value="Seafood">Hải sản</option>
                        </select>
                      </div>

                      <div class="form-group">
                        <label for="">Đồ uống <span class="text-danger">(*)</span></label>
                        <div>
                          <select class="form-control" name="" id="select-drink">
                          </select>
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Voucher ID (mã voucher)</label>
                        <div>
                          <input id="input-voucherid" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Giảm giá (discount)</label>
                        <div>
                          <input id="input-discount" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Họ và tên <span class="text-danger">(*)</span></label>
                        <div>
                          <input id="input-fullname" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Email</label>
                        <div>
                          <input id="input-email" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Số điện thoại <span class="text-danger">(*)</span></label>
                        <div>
                          <input id="input-phonenumber" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Địa chỉ <span class="text-danger">(*)</span></label>
                        <div>
                          <input id="input-address" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Lời nhắn</label>
                        <div>
                          <input id="input-message" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Trạng thái đơn hàng</label>
                        <div>
                          <select id="select-trangthai" class="form-control" type="text">
                            <option value="">---Chọn trạng thái---</option>
                            <option value="open">Mở</option>
                            <option value="confirmed">Xác nhận</option>
                            <option value="cancel">Hủy</option>
                          </select>
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Ngày tạo đơn</label>
                        <div>
                          <input id="input-ngaytaodon" class="form-control" type="text">
                        </div>
                      </div>

                      <div class="form-group">
                        <label for="">Ngày cập nhật</label>
                        <div>
                          <input id="input-ngaycapnhat" class="form-control" type="text">
                        </div>
                      </div>

                    </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <button type="button" id="modal-confirm-btn" class="btn btn-primary">Confirm</button>
                  <button type="button" id="modal-cancel-btn" class="btn btn-primary">Cancel</button>
                </div>
              </div>
            </div>
          </div>

          <!-- Modal xóa user -->
          <div id="modal-delete" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="h5-modal-title">Xóa Order</h5>
                  <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                  <label>Bạn có chắc chắn muốn xóa order này không?</label>
                </div>
                <div class="modal-footer">
                  <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                  <button class="btn btn-danger" id="btn-confirm-delete">Confirm</button>
                </div>
              </div>
            </div>
          </div>

          <table id="order-tabe" class="table text-center">
            <thead>
              <tr>
                <th>Order ID</th>
                <th>Kích cỡ Combo</th>
                <th>Loại pizza</th>
                <th>Nước uống</th>
                <th>Thành tiền</th>
                <th>Họ và tên</th>
                <th>Số điện thoại</th>
                <th>Trạng thái</th>
                <th> Action </th>
              </tr>
            </thead>
          </table>

        </div>
      </section>

    </div>
    <!-- /.content-wrapper -->

    <footer class="main-footer">
      <strong>Copyright &copy; 2014-2021 DEVCAMP120</strong>
      All rights reserved.
      <div class="float-right d-none d-sm-inline-block">
        <b>Version</b> 1.0.0
      </div>
    </footer>


  </div>

  <!-- jQuery -->
  <script src="plugins/jquery/jquery.min.js"></script>

  <!-- Bootstrap js -->
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- SweetAlert2 -->
  <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

  <!-- Toastr -->
  <script src="plugins/toastr/toastr.min.js"></script>

  <!-- AdminLTE App -->
  <script src="dist/js/adminlte.js"></script>

  <!-- DataTable -->
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

  <script>
      var Toast = Swal.mixin({
        toast: true,
        position: 'top-end',
        showConfirmButton: false,
        timer: 3000
      });
  </script>


  <!-- JS Table Data -->
  <script src="dist/js/pages/adminPizzaOrder.js"></script>

  


</body>